<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from lic.texi on 28 April 1999 -->

<TITLE>The Linear Inequality Calculator - How to start using LIC</TITLE>
<link href="lic_5.html" rel=Next>
<link href="lic_3.html" rel=Previous>
<link href="lic_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_3.html">previous</A>, <A HREF="lic_5.html">next</A>, <A HREF="lic_21.html">last</A> section, <A HREF="lic_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC4" HREF="lic_toc.html#TOC4">How to Start Using LIC</A></H1>
<P>
<A NAME="IDX16"></A>
<A NAME="IDX17"></A>
<A NAME="IDX18"></A>

</P>
<P>
<CODE>LIC</CODE> has to be invoked in either <EM>Rapid Prototyping System for
Code Generation</EM> or <EM>Matrix and Linear Inequality Calculator</EM> mode.

</P>
<DL COMPACT>

<DT><CODE>lic -c</CODE>
<DD>
Will invoke <CODE>LIC</CODE> in the Rapid Prototyping System for Code
Generation mode.
<A NAME="IDX19"></A>
<A NAME="IDX20"></A>

<DT><CODE>lic -m</CODE>
<DD>
Will invoke <CODE>LIC</CODE> in the Matrix and Linear Inequality
Calculator mode.
</DL>
<P>
<A NAME="IDX21"></A>
<A NAME="IDX22"></A>

</P>
<P>
The flag <SAMP>`-h'</SAMP> can be used in both modes to print out the help page
associated with each mode.
<A NAME="IDX23"></A>
<A NAME="IDX24"></A>

</P>
<P>
When <CODE>LIC</CODE> is run, a prompt (<SAMP>`&#62;'</SAMP>) is displayed requesting
input.  After entering a statement followed by a newline, <CODE>LIC</CODE>
will parse your statement and perform the requested calculation. Syntax
of many <CODE>LIC</CODE> commands depends on the mode in which <CODE>LIC</CODE> is
running.  See section <A HREF="lic_8.html#SEC8">Prototyping System Syntax</A> for the commands available in
the rapid prototyping mode and see section <A HREF="lic_18.html#SEC18">Calculator Syntax</A> for matrix and
linear inequality calculator mode.  

</P>
<P>
The following are some common features in both modes.

</P>

<UL>

<LI>

Instead of typing each expression, you can enter a set of expressions
from a script file.
<DL COMPACT>

<DT><CODE>&#60; filename</CODE>
<DD>
<A NAME="IDX25"></A>
Input is taken  from a script file <VAR>filename</VAR>.
<DL COMPACT>

<DT><CODE>end</CODE>
<DD>
<A NAME="IDX26"></A>
Should be the last line in the script file.
<DT><CODE>//</CODE>
<DD>
<A NAME="IDX27"></A>
All characters after <SAMP>`//'</SAMP> to newline are considered as comments and
will not be parsed by <CODE>LIC</CODE>.
<DT><CODE>#</CODE>
<DD>
<A NAME="IDX28"></A>
Results are not printed if the first character of the line is <SAMP>`#'</SAMP>.
</DL>
</DL>

<LI>

To end the <CODE>LIC</CODE> session use one of the following commands.
<DL COMPACT>

<DT><CODE>end</CODE>
<DD>
<DT><CODE>quit</CODE>
<DD>
<DT><CODE>exit</CODE>
<DD>
<DT><CODE>bye</CODE>
<DD>
</DL>
<A NAME="IDX29"></A>
<A NAME="IDX30"></A>
<A NAME="IDX31"></A>
<A NAME="IDX32"></A>
<A NAME="IDX33"></A>

<LI>

To obtain help, i.e. print the help page, use:
<DL COMPACT>

<DT><CODE>help</CODE>
<DD>
<DT><CODE>h</CODE>
<DD>
</DL>
</UL>

<P>
<A NAME="IDX34"></A>
<A NAME="IDX35"></A>

</P>
<P><HR><P>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_3.html">previous</A>, <A HREF="lic_5.html">next</A>, <A HREF="lic_21.html">last</A> section, <A HREF="lic_toc.html">table of contents</A>.
</BODY>
</HTML>
